<?php 

/**
 * Add a clearfix to the end of the_content()
 */
if(!( function_exists('ebor_add_clearfix') )){ 
	function ebor_add_clearfix( $content ) { 
	    $content = $content .= '<div class="clearfix"></div>';
	    return $content;
	}
	add_filter( 'the_content', 'ebor_add_clearfix' ); 
}

if(!( function_exists('ebor_post_thumbnail_html') )){
	function ebor_post_thumbnail_html( $content ) {
		if( get_post_type() == 'portfolio' ){
	    	return $content = str_replace( __( 'Set featured image', 'frost' ), __( 'Min Width 580px, Min Height 390px. Max Width 2000px.', 'frost' ), $content);
		} else {
			return $content;
		}
	}
	add_filter( 'admin_post_thumbnail_html', 'ebor_post_thumbnail_html' );
}

if(!( function_exists('ebor_prev_post_link_attributes') )){
	function ebor_prev_post_link_attributes($output) {
	    $class = 'class="btn"';
	    return str_replace('<a href=', '<a '.$class.' href=', $output);
	}
	add_filter('previous_post_link', 'ebor_prev_post_link_attributes');
}

if(!( function_exists('ebor_next_post_link_attributes') )){
	function ebor_next_post_link_attributes($output) {
	    $class = 'class="btn"';
	    return str_replace('<a href=', '<a '.$class.' href=', $output);
	}
	add_filter('next_post_link', 'ebor_next_post_link_attributes');
}

if(!( function_exists('ebor_excerpt_more') )){
	function ebor_excerpt_more( $more ) {
		return '...';
	}
	add_filter('excerpt_more', 'ebor_excerpt_more');
}

if(!( function_exists('ebor_excerpt_length') )){
	function ebor_excerpt_length( $length ) {
		return 21;
	}
	add_filter( 'excerpt_length', 'ebor_excerpt_length', 999 );
}

/**
 * Custom gallery shortcode
 *
 * Filters the standard WordPress gallery shortcode.
 *
 * @since 1.0.0
 */
if(!( function_exists('ebor_post_gallery') )){
	function ebor_post_gallery( $output, $attr) {
		
		global $post, $wp_locale;
	
	    static $instance = 0;
	    $instance++;
	
	    // We're trusting author input, so let's at least make sure it looks like a valid orderby statement
	    if ( isset( $attr['orderby'] ) ) {
	        $attr['orderby'] = sanitize_sql_orderby( $attr['orderby'] );
	        if ( !$attr['orderby'] )
	            unset( $attr['orderby'] );
	    }
	
	    extract(shortcode_atts(array(
	        'order'      => 'ASC',
	        'orderby'    => 'menu_order ID',
	        'id'         => $post->ID,
	        'itemtag'    => 'div',
	        'icontag'    => 'dt',
	        'captiontag' => 'dd',
	        'columns'    => 3,
	        'size'       => 'large',
	        'include'    => '',
	        'exclude'    => ''
	    ), $attr));
	
	    $id = intval($id);
	    if ( 'RAND' == $order )
	        $orderby = 'none';
	
	    if ( !empty($include) ) {
	        $include = preg_replace( '/[^0-9,]+/', '', $include );
	        $_attachments = get_posts( array('include' => $include, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );
	
	        $attachments = array();
	        foreach ( $_attachments as $key => $val ) {
	            $attachments[$val->ID] = $_attachments[$key];
	        }
	    } elseif ( !empty($exclude) ) {
	        $exclude = preg_replace( '/[^0-9,]+/', '', $exclude );
	        $attachments = get_children( array('post_parent' => $id, 'exclude' => $exclude, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );
	    } else {
	        $attachments = get_children( array('post_parent' => $id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );
	    }
	
	    if ( empty($attachments) )
	        return '';
	
	    if ( is_feed() ) {
	        $output = "\n";
	        foreach ( $attachments as $att_id => $attachment )
	            $output .= wp_get_attachment_link($att_id, $size, true) . "\n";
	        return $output;
	    }
	    
	    if( $columns == 1 ){
	    	$columns = 12;
	    } elseif( $columns == 2 ){
	    	$columns = 6;
	    } elseif( $columns == 3 ){
	    	$columns = 4;
	    } elseif( $columns == 4 ){
	    	$columns = 3;
	    } elseif( $columns == 5 || $columns == 6 ){
	    	$columns = 2;
	    } else {
	    	$columns = 1;
	    }
	
	    $unique = wp_rand(0,10000);
	    
	    $output = "<div class='row ebor-blog-gallery' id='gallery" . $unique ."'>";
	
	    foreach ( $attachments as $id => $attachment ) {
	    	if( isset($attr['link']) && 'file' == $attr['link'] ){
	    		$link = isset($attr['link']) && 'file' == $attr['link'] ? wp_get_attachment_url($id, 'full', false, false) : wp_get_attachment_url($id, 'full', true, false);
	    		$before = '<a href="'. $link .'" class="fancybox-media" data-rel="portfolio">';
	    		$after = '</a>';	
	    	} else {
	    		$before = '';
	    		$after = '';	
	    	}
	        
	        $attachment = get_post($id);
	
	        $output .= "<{$itemtag} class='item col-sm-$columns'>";
	        
	        $output .= '<figure class="icon-overlay icn-enlarge">' . $before . wp_get_attachment_image($id, $size) . $after . '</figure>';
	        
	        $output .= "</{$itemtag}>";
	    }
	    
	    $output .= '
	    <script type="text/javascript">jQuery(window).load(function () {
	        var $container = jQuery("#gallery'. $unique .'");
	            $container.isotope({
	                itemSelector: ".item"
	            });
	    
	        jQuery(window).on("resize", function () {
	            jQuery("#gallery'. $unique .'").isotope("layout")
	        });
	    });
	    </script>';
	
	    $output .= "</div>\n";
	
	    return $output;
	}
	add_filter( 'post_gallery', 'ebor_post_gallery', 10, 2 );
}