<?php

class AQ_Divas_Block extends AQ_Block {

	function __construct() {
		$block_options = array(
			'name' => 'Divas Slider',
			'size' => 'span12',
			'block_description' => 'Add a slider of images into the page.',
			'block_icon' => '<i class="fa fa-image fa-fw"></i>',
			'block_category' => 'sliders'
		);
		parent::__construct('AQ_Divas_Block', $block_options);
	}//end construct
	
	function form($instance) {
	
		$defaults = array(
			'image' => ''
		);
		
		$instance = wp_parse_args($instance, $defaults);
		extract($instance);
	?>

		<p class="description">Manage Images<br /><small>Add and manage your images for this slider here, drag to reorder.</small></p>
		<?php echo aq_field_upload('image', $block_id, $image, $media_type = 'gallery') ?>
		
	<?php
	}//end form
	
	function block($instance) {
		extract($instance);
		
		$directory = trailingslashit( get_template_directory_uri() );
		$slides = explode(',', $image);
		
		if( is_array($slides) ) :
	?>
		
		<div class="light-wrapper">
			<div class="divas-wrapper divas-slider">
				<ul class="divas-slide-container">
					
					<?php 
						foreach( $slides as $ID ){
							$img = wp_get_attachment_image_src( $ID, 'full' );
							$caption = get_post($ID);	
							echo '<li class="divas-slide">
									  <img 
									  	src="'. esc_url($directory .'style/images/art/placeholder.gif') .'" 
									  	alt="'. esc_attr($caption->post_excerpt) .'" 
									  	data-src="'. esc_url($img[0]) .'" 
									  	data-title="<h2>'. esc_attr($caption->post_excerpt) .'</h2>"
									  />
								  </li>';
						}
					?>
				
				</ul>
				<div class="divas-navigation"> 
					<span class="divas-prev">&nbsp;</span> 
					<span class="divas-next">&nbsp;</span> 
				</div>
				<div class="divas-controls"> 
					<span class="divas-start"><i class="fa fa-play"></i></span> 
					<span class="divas-stop"><i class="fa fa-pause"></i></span> 
				</div>
			</div>
		</div>
		
	<?php
		endif;
		
	}//end block

}