<?php

class AQ_Flickr_Block extends AQ_Block {
	
	//set and create block
	function __construct() {
		$block_options = array(
			'name' => 'Flickr Feed',
			'size' => 'span12',
			'resizable' => false,
			'block_icon' => '<i class="fa fa-flickr"></i>',
			'block_description' => 'Use to add your latest photos from Flickr.',
			'block_category' => 'social'
		);
		
		//create the block
		parent::__construct('aq_flickr_block', $block_options);
	}
	
	function form($instance) {
		
		$defaults = array(
			'id' => '51789731@N07',
			'pppage' => '15'
		);
		
		$instance = wp_parse_args($instance, $defaults);
		extract($instance);
	?>
		
		<p class="description">
			<code>IMPORTANT NOTE:</code> This is the Flickr block, it will grab your latest Flickr images. For this to work, the block requires you enter a numeric ID in the correct field. Please grab your numeric Flickr ID from here: <a href="http://idgettr.com/" target="_blank">http://idgettr.com/</a>
		</p>
		
		<hr />

		<p class="description">Numeric ID <code>REQUIRED</code></p>
		<?php echo aq_field_input('id', $block_id, $id, $size = 'full') ?>
		
		<p class="description">Amount of images to grab <code>REQUIRED</code></p>
		<?php echo aq_field_input('pppage', $block_id, $pppage, $size = 'full', $type = 'number') ?>
		
	<?php
	}// end form
	
	function block($instance) {
		extract($instance);
	?>
	
	<div id="<?php echo esc_attr($block_id); ?>" class="flickr-feed owl-flickr"> </div>
	
	<script type="text/javascript">
		/*-----------------------------------------------------------------------------------*/
		/*	FLICKR
		/*-----------------------------------------------------------------------------------*/
		jQuery(document).ready(function($) {
		    jQuery('#<?php echo esc_attr($block_id); ?>').dcFlickr({
		        limit: <?php echo esc_js($pppage); ?>,
		        q: {
		            id: '<?php echo esc_js($id); ?>',
		            lang: 'en-us',
		            format: 'json',
		            jsoncallback: '?'
		        },
		        onLoad: function() {
		            jQuery('.owl-flickr').owlCarousel({
					    loop:false,
					    margin:10,
					    nav:true,
					    navText: ['<i class="icon-left-open-1"></i>','<i class="icon-right-open-1"></i>'],
					    dots: false,
					    items:7,
					    responsive:{
					        0:{
					            items:3
					        },
					        700:{
					            items:5
					        },
					        1000:{
					            items:7
					        }
					    }
					})
		        }
		    });
		});
	</script>
		
	<?php
	}//end block
	
}//end class