<?php

class AQ_Icon_Block extends AQ_Block {
	
	//set and create block
	function __construct() {
		$block_options = array(
			'name' => 'Icon Block',
			'size' => 'span4',
			'block_icon' => '<i class="fa fa-flag-o fa-fw"></i>',
			'block_description' => 'Use to add some text with a Highlighted Icon.',
			'block_category' => 'text'
		);
		
		//create the block
		parent::__construct('aq_icon_block', $block_options);
	}//end construct
	
	function form($instance) {
		
		$defaults = array(
			'text' => '',
			'icon' => '',
			'layout' => 'side-icon'
		);
		
		$icon_options = ebor_get_icons();
		$layouts = array(
			'side-icon' => 'Icon on Side',
			'top-icon' => 'Icon on Top'
		);
		
		$instance = wp_parse_args($instance, $defaults);
		extract($instance);
	?>
		
		<p class="description">Block Layout</p>
		<?php echo aq_field_select('layout', $block_id, $layouts, $layout) ?>
		
		<p class="description">Title <code>Optiional</code></p>
		<?php echo aq_field_input('title', $block_id, $title, $size = 'full') ?>
		
		<p class="description">Block Content</p>
		<?php echo aq_field_editor('text', $block_id, $text) ?>
		
		<hr />
		
		<div class="description cf">
			<div class="icon-modal">
				<div class="icon-modal-inner">
				
					<div class="icon-modal-title">
						<a href="#" class="icon-modal-closer"><i class="fa fa-times"></i></a>
						<h3>Choose an Icon</h3>
						<div class="cf"></div>
					</div>
					
					<div class="ebor-modal-content">
						<?php
							foreach($icon_options as $key => $value) {
								$class = ( $key == $icon ) ? 'active' : '';
								echo '<div class="ebor-modal-icon '. $class .'" data-ebor-icon="'. $key .'"><i class="'. $key .'"></i></div>';
							}
						?>
					</div>
					
				</div>
			</div>
			<p class="description">Icon <code>Leave Blank for No Icon</code></p>
			<a href="#" class="ebor-icon-modal-launcher button button-primary one_third text-center">Choose Icon</a>
			<div class="two_thirds last">
				<?php echo aq_field_input('icon', $block_id, $icon, $size = 'full') ?>
			</div>
		</div>

	<?php
	}//end form
	
	function block($instance) {
		extract($instance);
		
		if( 'side-icon' == $layout ) :
	?>
		
		<div class="services-1">
			
			<?php if( $icon ) : ?>
				<div class="icon"> 
					<i class="<?php echo $icon; ?> icn"></i> 
				</div>
			<?php endif; ?>

			<div class="text">
				<?php
					if( $title )
						echo '<h3>'. htmlspecialchars_decode($title) .'</h3>';
						
					echo wpautop(do_shortcode(htmlspecialchars_decode($text)));
				?>
			</div>

		</div>
		
	<?php else : ?>
		
		<div class="services-2 text-center">
			<div class="col-wrapper">
				<?php 
					if($icon)
						echo '<div class="icon-border bm15"> <i class="'. $icon .'"></i> </div>';
						
					if( $title )
						echo '<h3>'. htmlspecialchars_decode($title) .'</h3>';
						
					echo wpautop(do_shortcode(htmlspecialchars_decode($text)));
				?>
			</div>
		</div>
	
	<?php	
		endif;
			
	}//end block
	
}//end class