<?php

class AQ_Image_Carousel_Block extends AQ_Block {
	
	//set and create block
	function __construct() {
		$block_options = array(
			'name' => 'Image Carousel',
			'size' => 'span12',
			'resizable' => 0,
			'block_icon' => '<i class="fa fa-camera fa-fw"></i>',
			'block_description' => 'Use to add a quick carousel of images.',
			'block_category' => 'carousels'
		);
		parent::__construct('aq_image_carousel_block', $block_options);
	}//end construct
	
	function form($instance) {
		$defaults = array(
			'background' => 'black-wrapper',
			'text' => '',
			'image' => ''
		);
		
		$instance = wp_parse_args($instance, $defaults);
		extract($instance);
		
		$background_options = array(
			'light-wrapper' => 'Light Background',
			'dark-wrapper' => 'Dark Background',
			'black-wrapper' => 'Black Background'
		);
	?>
		
		<p class="description">Title <code>Optiional</code></p>
		<?php echo aq_field_input('title', $block_id, $title, $size = 'full') ?>
		
		<p class="description">Block Content</p>
		<?php echo aq_field_editor('text', $block_id, $text) ?>
		
		<hr />
		
		<p class="description">Manage Images<br /><small>Add and manage your images for this slider here, drag to reorder.</small></p>
		<?php echo aq_field_upload('image', $block_id, $image, $media_type = 'gallery') ?>
		
		<hr />
		
		<p class="description">Background Style</p>
		<?php echo aq_field_select('background', $block_id, $background_options, $background) ?>

	<?php
	}//end form
	
	function block($instance) {
		extract($instance);
		
		$slides = explode(',', $image);
	?>
			
		<div class="<?php echo $background; ?>">
		
			<div class="container inner bp0">
				<?php
					if($title)
						echo '<h3 class="section-title">'. htmlspecialchars_decode($title) .'</h3>';
				
					echo wpautop(do_shortcode(htmlspecialchars_decode($text)));
				?>
			</div>
			
			<?php if( is_array($slides) ) : ?>
				<div class="inner tp25">
					<div class="swiper-wrapper"> 
						<a class="arrow-left" href="#"></a> 
						<a class="arrow-right" href="#"></a>
						<div class="swiper-container gallery">
							<div class="swiper">
								<?php
									foreach( $slides as $id ) {
										echo '<div class="item">'. wp_get_attachment_image($id, 'large') .'</div>';
									}
								?>
							</div>
						</div>
					</div>
				</div>
			<?php endif; ?>
			
		</div>
			
	<?php	
	}//end block
	
}//end class