<?php

class AQ_Instagram_Block extends AQ_Block {
	
	//set and create block
	function __construct() {
		$block_options = array(
			'name' => 'Instagram Feed',
			'size' => 'span12',
			'resizable' => false,
			'block_icon' => '<i class="fa fa-instagram"></i>',
			'block_description' => 'Use to add your latest photos from Instagram.',
			'block_category' => 'social'
		);
		
		//create the block
		parent::__construct('aq_instagram_block', $block_options);
	}
	
	function form($instance) {
		
		$defaults = array(
			'id' => '1215763826',
			'token' => ''
		);
		
		$instance = wp_parse_args($instance, $defaults);
		extract($instance);
	?>
		
		<p class="description">
			<code>IMPORTANT NOTE:</code> This is the Instagram block, it will grab your latest Instagram images. For this to work, the block requires you enter a numeric ID in the correct field, and also an access token in the correct field. Please grab your numeric Instagram ID & Access Token from here: <a href="https://instagram.com/oauth/authorize/?client_id=467ede5a6b9b48ae8e03f4e2582aeeb3&redirect_uri=http://instafeedjs.com&response_type=token" target="_blank">Get User ID & Token</a>
		</p>
		
		<hr />

		<p class="description">Numeric ID <code>REQUIRED</code></p>
		<?php echo aq_field_input('id', $block_id, $id, $size = 'full') ?>
		
		<p class="description">Access Token <code>REQUIRED</code></p>
		<?php echo aq_field_input('token', $block_id, $token, $size = 'full') ?>
		
	<?php
	}// end form
	
	function block($instance) {
		extract($instance);
	?>
	
		<div id="instafeed"></div>
		
		<script type="text/javascript">
			/*-----------------------------------------------------------------------------------*/
			/*	INSTAGRAM
			/*-----------------------------------------------------------------------------------*/
			jQuery(document).ready(function($){
				var instagramFeed = new Instafeed({
			        get: 'user',
			        userId: <?php echo esc_js($id); ?>,
			        accessToken: '<?php echo esc_js($token); ?>',
			        resolution: 'low_resolution',
			        template: '<div class="item"><figure class="icon-overlay"><a href="{{link}}" target="_blank"><span class="icn-more"></span><img src="{{image}}" /></a></figure></div>',
			        after: function () {    
					    jQuery('#instafeed').owlCarousel({
						    loop:false,
						    margin:10,
						    nav:true,
						    navText: ['<i class="icon-left-open-1"></i>','<i class="icon-right-open-1"></i>'],
						    dots: false,
						    items:5,
						    responsive:{
						        0:{
						            items:2
						        },
						        768:{
						            items:4
						        },
						        1000:{
						            items:5
						        }
						    }
						})
					  }
			    });
				    
			    jQuery('#instafeed').each(function() {
			    	instagramFeed.run();
				});
			});
		</script>
		
	<?php
	}//end block
	
}//end class