<?php

class AQ_Intro_Block extends AQ_Block {
	
	//set and create block
	function __construct() {
		$block_options = array(
			'name' => 'Intro',
			'size' => 'span12',
			'block_icon' => '<i class="fa fa-font fa-fw"></i>',
			'block_description' => 'Add a large chunky intro to the page.',
			'block_category' => 'text'
		);
		
		//create the block
		parent::__construct('aq_intro_block', $block_options);
	}//end construct
	
	function form($instance) {
		$defaults = array(
			'text' => '',
			'wpautop' => 0
		);
		$instance = wp_parse_args($instance, $defaults);
		extract($instance);
	?>
		
		<p class="description">Title <code>Optional</code></p>
		<?php echo aq_field_input('title', $block_id, $title, $size = 'full') ?>
		
		<p class="description">Subtitle</p>
		<?php echo aq_field_textarea('text', $block_id, $text, $size = 'full', true) ?>
		
		<p class="description">Add bottom margin?</p>
		<?php echo aq_field_checkbox('wpautop', $block_id, $wpautop) ?>
		
	<?php
	}// end form
	
	function block($instance) {
		extract($instance);

			if( $title )
				echo '<h1 class="intro text-center">' . htmlspecialchars_decode($title) . '</h1>';
				
			if( $text )
				echo '<div class="lead main text-center">' . wpautop(do_shortcode(htmlspecialchars_decode($text))) . '</div>';
			
			if(( $wpautop ))
				echo '<div class="divide60"></div>';

	}//end block
	
}//end class