<?php

class AQ_Lightbox_Gallery_Block extends AQ_Block {
	
	function __construct() {
		$block_options = array(
			'name' => 'Lightbox Gallery',
			'size' => 'span12',
			'resizable' => false,
			'block_icon' => '<i class="fa fa-camera fa-fw"></i>',
			'block_description' => 'Use to add a gallery of images, with a lightbox.',
			'block_category' => 'images'
		);
		parent::__construct('aq_lightbox_gallery_block', $block_options);
	}
	
	function form($instance) {
		
		$defaults = array(
			'link' => '',
			'image' => '',
			'layout' => 'classic'
		);
		
		$layouts = array(
			'classic' => 'Classic Masonry',
			'masonry' => 'Cropped Masonry',
			'full' => 'Fullwidth'
		);
		
		$instance = wp_parse_args($instance, $defaults);
		extract($instance);
	?>
		
		<p class="description">Manage Images<br /><small>Add and manage your images for this slider here, drag to reorder.</small></p>
		<?php echo aq_field_upload('image', $block_id, $image, $media_type = 'gallery') ?>
		
	<?php
	}// end form
	
	function block($instance) {
		extract($instance);
		
		$slides = explode(',', $image);
		
		if( is_array($slides) ) :
	?>
		
		<div class="portfolio classic-masonry">
			<div class="isotope items">
				
				<?php foreach( $slides as $id ) : ?>
					
					<?php $image = wp_get_attachment_image_src($id, 'full'); ?>
					
					<div class="item">
						<figure>
							<a href="<?php echo esc_url($image[0]); ?>" class="fancybox-media" data-rel="<?php echo esc_attr($block_id); ?>">
								<?php echo wp_get_attachment_image($id, 'large'); ?>
							</a>
						</figure>
					</div>
				<?php endforeach; ?>
				
			</div>
		</div>

	<?php
		endif;
	}//end block
	
}//end class