<?php

class AQ_Section_Title_Block extends AQ_Block {
	
	function __construct() {
		$block_options = array(
			'name' => 'Section Title',
			'size' => 'span12',
			'block_icon' => '<i class="fa fa-font fa-fw"></i>',
			'block_description' => 'Use to add a title & subtitle to the page section.',
			'block_category' => 'text'
		);
		//create the block
		parent::__construct('aq_section_title_block', $block_options);
	}//end construct
	
	function form($instance) {
		$defaults = array(
			'text' => '',
			'link' => '',
			'icon' => ''
		);
		
		$icon_options = ebor_get_icons();
		
		$instance = wp_parse_args($instance, $defaults);
		extract($instance);
	?>
		
		<p class="description">Title <code>Optional</code></p>
		<?php echo aq_field_input('title', $block_id, $title, $size = 'full') ?>
		
		<p class="description">Button Text <code>Optional</code></p>
		<?php echo aq_field_input('text', $block_id, $text, $size = 'full') ?>
		
		<p class="description">Button Link <code>Optional</code></p>
		<?php echo aq_field_input('link', $block_id, $link, $size = 'full') ?>
		
		<hr />
		
		<div class="description cf">
			<div class="icon-modal">
				<div class="icon-modal-inner">
				
					<div class="icon-modal-title">
						<a href="#" class="icon-modal-closer"><i class="fa fa-times"></i></a>
						<h3>Choose an Icon</h3>
						<div class="cf"></div>
					</div>
					
					<div class="ebor-modal-content">
						<?php
							foreach($icon_options as $key => $value) {
								$class = ( $key == $icon ) ? 'active' : '';
								echo '<div class="ebor-modal-icon '. $class .'" data-ebor-icon="'. $key .'"><i class="'. $key .'"></i></div>';
							}
						?>
					</div>
					
				</div>
			</div>
			<p class="description">Icon <code>Leave Blank for No Icon</code></p>
			<a href="#" class="ebor-icon-modal-launcher button button-primary one_third text-center">Choose Icon</a>
			<div class="two_thirds last">
				<?php echo aq_field_input('icon', $block_id, $icon, $size = 'full') ?>
			</div>
		</div>
		
	<?php
	}// end form
	
	function block($instance) {
		extract($instance);
	?>
	
		<div class="clearfix"></div>
			<?php 
				if( $title )
					echo '<h3 class="section-title pull-left">'. htmlspecialchars_decode($title) .'</h3>';
					
				if( $link ){
					echo '<a href="'. esc_url($link) .'" class="link-out pull-right">';
					
					if( $icon )
						echo '<i class="'. $icon .' rp5"></i>';
						
					echo htmlspecialchars_decode($text) . '</a>';
				}
			?>
		<div class="clearfix"></div>
		
	<?php
	}//end block
	
}//end class