<?php

class AQ_Team_Feed_Block extends AQ_Block {
	
	//set and create block
	function __construct() {
		$block_options = array(
			'name' => 'Team Feed',
			'size' => 'span12',
			'resizable' => 0,
			'block_description' => 'Add a feed of "Team" posts to the page.',
			'block_category' => 'feeds',
			'block_icon' => '<i class="fa fa-user-md fa-fw"></i>',
		);
		parent::__construct('aq_team_feed_block', $block_options);
	}//end construct
	
	function form($instance) {
		$defaults = array(
			'pppage' => '6',
			'filter' => 'all'
		);
		
		$instance = wp_parse_args($instance, $defaults);
		extract($instance);
		
		$args = array(
			'orderby'                  => 'name',
			'hide_empty'               => 0,
			'hierarchical'             => 1,
			'taxonomy'                 => 'team_category'
		); 
		$filter_options = get_categories( $args );
	?>
		
		<p class="description">Posts Per Page</p>
		<?php echo aq_field_input('pppage', $block_id, $pppage, $size = 'full', $type = 'number') ?>
		
		<p class="description">Show a specific Team Category?</p>
		<?php echo ebor_portfolio_field_select('filter', $block_id, $filter_options, $filter) ?>

	<?php
	}//end form
	
	function block($instance) {
		extract($instance);

		$query_args = array(
			'post_type' => 'team',
			'posts_per_page' => $pppage
		);
		
		if (!( $filter == 'all' )) {
			if( function_exists( 'icl_object_id' ) ){
				$filter = (int)icl_object_id( $filter, 'team_category', true);
			}
			$query_args['tax_query'] = array(
				array(
					'taxonomy' => 'team_category',
					'field' => 'id',
					'terms' => $filter
				)
			);
		}
	
		$team_query = new WP_Query( $query_args );	
	?>
			
		<div class="row team">
		
			<?php 
				if ( $team_query->have_posts() ) : while ( $team_query->have_posts() ) : $team_query->the_post();
				
					get_template_part('loop/content','team');
					
					if( ($team_query->current_post + 1) % 3 == 0)
						echo '<div class="divide20 clear"></div>';
					
				endwhile;
				else : 
					
					/**
					 * Display no posts message if none are found.
					 */
					get_template_part('loop/content','none');
					
				endif;
				wp_reset_query();
			?>
		  
		</div>
			
	<?php	
	}//end block
	
}//end class