<?php 
	get_header(); 
	the_post();
	
	/**
	 * Check for active sidebar, and also check disable sidebar meta
	 */
	$sidebar_active = is_active_sidebar('primary');
	if( 'on' == esc_html(get_post_meta( $post->ID, '_ebor_disable_sidebar', true )) )
		$sidebar_active = false;
	
	/**
	 * Build appropriate classes depending on sidebar
	 */	
	$class = ($sidebar_active) ? 'col-sm-8' : 'col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1 col-sm-12';
	
	/**
	 * Get Wrapper Start - Uses get_template_part for simple child themeing.
	 */
	get_template_part('inc/content-wrapper','start'); 
?>

	<div class="row">
	
		<div class="<?php echo $class; ?> content">
		
			<div class="blog-posts classic-blog">
			
				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				
					<?php get_template_part('postformats/format', get_post_format()); ?>
					
					<div class="post-content image-caption">
						<?php 
							the_title('<h1 class="post-title">', '</h1>');
							get_template_part('inc/content-post','meta');
							the_content();
							wp_link_pages();
							the_tags('<div class="meta tags">',', ','</div><div class="divide10"></div>');
							
							if( '1' == get_option('blog_social','1') )
								get_template_part('inc/content','sharing');
						?>
					</div><!-- /.post-content --> 
					
				</div>
				
				<hr />
				
			</div>
			
			<?php
				if( get_option('blog_author','1') == 1 )
					get_template_part('inc/content','author'); 
				
				if( comments_open() )
					comments_template();
			?>
		
		</div><!-- /.content -->
		
		<?php 
			if( $sidebar_active )
				get_sidebar(); 
		?>
	
	</div>

<?php 
	/**
	 * Get Wrapper End - Uses get_template_part for simple child themeing.
	 */
	get_template_part('inc/content-wrapper','end'); 
	
	get_footer();